<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<style type="text/css" media="screen">

		table{
			border:1px solid white;
		
		}

		body{
			background-color: gray;
			margin:0 auto;
		}

		td{
			border:1px solid white;
			text-align:center;
			width:40px;
			height:40px;
			padding:10px;
		}

		
	</style>

	<script type="text/javascript">
		
		window.addEventListener("load", function(){

				let botones=[];
					botones=document.querySelectorAll(".boton");
				let salida=0;
					salida=document.querySelector(".resultado");
				let datos=[];
					datos=document.querySelectorAll(".leer");


			
			botones[0].addEventListener("click", function(){
				
				salida.value=datos[0].value*1+datos[1].value*1;

				
			});

			botones[1].addEventListener("click", function(){
				salida.value=datos[2].value*1-datos[3].value*1;
				
			});

			botones[2].addEventListener("click", function(){
				salida.value=(datos[4].value*-1);
				
			});

			botones[3].addEventListener("click", function(){
				salida.value=datos[5].value*1*datos[6].value*1;
				
			});

			botones[4].addEventListener("click", function(){
				salida.value=datos[7].value*1/datos[8].value*1;
			
			});

			botones[5].addEventListener("click", function(){
				salida.value=datos[9].value*1%datos[10].value*1;

			});


			

	});
			
	
	</script>
</head>
<body>

	<table>
		<tr>
			<td><input type="text" class="leer"></td>
			<td><input type="text" class="leer"></td>
			<td><input type="button" value="SUMAR" class="boton"></td>
			<td rowspan="0"><input type="text" class="resultado"></td>
		</tr>

		<tr>
			<td><input type="text" class="leer"></td>
			<td><input type="text" class="leer"></td>
			<td><input type="button" value="RESTAR" class="boton"></td>
		</tr>

		<tr>
			<td colspan="2"><input type="text" class="leer"></td>
			<td><input type="button" value="NEGAR" class="boton"></td>
		</tr>

		<tr>
			<td><input type="text" class="leer"></td>
			<td><input type="text" class="leer"></td>
			<td><input type="button" value="PRODUCTO" class="boton"></td>
		</tr>

		<tr>
			<td><input type="text" class="leer"></td>
			<td><input type="text" class="leer"></td>
			<td><input type="button" value="COCIENTE" class="boton"></td>
		</tr>

		<tr>
			<td><input type="text" class="leer"></td>
			<td><input type="text" class="leer"></td>
			<td><input type="button" value="RESTO" class="boton"></td>
			
		</tr>


	</table>
	
</body>
</html>